Bug 740485 - qpid-stat is unable to get info from a remote host
Summary: qpid-stat is unable to get info from a remote host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-tools
Version: 2.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 2.3
: ---
Assignee: Ernie
QA Contact: Leonid Zhaldybin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 08:37 UTC by Leonid Zhaldybin
Modified: 2014-11-09 22:38 UTC (History)
3 users (show)

Fixed In Version: qpid-tools-0.18-7
Doc Type: Bug Fix
Doc Text:
Cause: Run qpid-stat with a remote host address to view info on remote queues Consequence: The info for the localhost queue was shown Fix: Connect to the remote host address instead of the default localhost. Result: When qpid-stat is run with a remote host address, the info for the remote queues is shown
Clone Of:
Environment:
Last Closed: 2013-03-06 18:54:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0561 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging 2.3 security update 2013-03-06 23:48:13 UTC

Description Leonid Zhaldybin 2011-09-22 08:37:06 UTC
Description of problem:
When qpid-stat is run with the argument telling it to connect to a remote host (qpid-stat -q <remote-host-ip>), 
it gets the information from the localhost instead.
According to the help for qpid-stat, it should be possible to connect to a remote broker:

  [root@lzhaldyb-rhel57x ~]# qpid-stat -h
  usage: qpid-stat [options] BROKER

  Example: $ qpid-stat -q  broker-host:10000

Version-Release number of selected component (if applicable):
python-qpid-0.10-1.el5
python-qpid-qmf-0.10-10.el5
qpid-cpp-client-0.10-8.el5
qpid-cpp-client-devel-0.10-8.el5
qpid-cpp-client-devel-docs-0.10-8.el5
qpid-cpp-client-ssl-0.10-8.el5
qpid-cpp-server-0.10-8.el5
qpid-cpp-server-cluster-0.10-8.el5
qpid-cpp-server-devel-0.10-8.el5
qpid-cpp-server-ssl-0.10-8.el5
qpid-cpp-server-store-0.10-8.el5
qpid-cpp-server-xml-0.10-8.el5
qpid-java-client-0.10-6.el5
qpid-java-common-0.10-6.el5
qpid-java-example-0.10-6.el5
qpid-qmf-0.10-10.el5
qpid-qmf-devel-0.10-10.el5
qpid-tools-0.10-6.el5


How reproducible:
100%

Steps to Reproduce:
qpid-stat -q <remote-host-ip>


Actual results:
The list of queues from the localhost broker is shown.

Expected results:
The list of queues from the remote broker is shown.

Additional info:

I used two virtual machines for this test, which were on the same local network:
rhel57i with ip-addr 192.168.5.1
rhel57x with ip-addr 192.168.5.2

[root@lzhaldyb-rhel57i ~]# qpid-stat -q rhel57x
Queues
  queue                                          dur  autoDel  excl  msg   msgIn  msgOut  bytes  bytesIn  bytesOut  cons  bind
  ==============================================================================================================================
  qmfc-v2-ui-lzhaldyb-rhel57i.3714.1                  Y        Y        0     0      0       0      0        0         1     1
  qmfc-v2-lzhaldyb-rhel57i.3714.1                     Y        Y        0    13     13       0   10.1k    10.1k        1     2
  qmfagent-26d339d8-c723-4de3-ad13-f515b66a8ae8       Y        Y        0     6      6       0    102      102         1     4
  reply-lzhaldyb-rhel57i.3714.1                       Y        Y        0    58     58       0   22.2k    22.2k        1     2
  topic-lzhaldyb-rhel57i.3714.1                       Y        Y        0     0      0       0      0        0         1     4
  qmfc-v2-hb-lzhaldyb-rhel57i.3714.1                  Y        Y        0     0      0       0      0        0         1     2

As can be seen from the above example, qpid-stat command returned the list of queues from the broker running on the same machine it was run
on - they have the name of the host in them (rhel57i). I would expect the output of this command to be exactly the same as this:

[root@lzhaldyb-rhel57x ~]# qpid-stat -q
Queues
  queue                                          dur  autoDel  excl  msg   msgIn  msgOut  bytes  bytesIn  bytesOut  cons  bind
  ==============================================================================================================================
  qmfc-v2-ui-lzhaldyb-rhel57x.3099.1                  Y        Y        0     0      0       0      0        0         1     1
  reply-lzhaldyb-rhel57x.3099.1                       Y        Y        0    58     58       0   22.2k    22.2k        1     2
  qmfc-v2-hb-lzhaldyb-rhel57x.3099.1                  Y        Y        0     0      0       0      0        0         1     2
  topic-lzhaldyb-rhel57x.3099.1                       Y        Y        0     0      0       0      0        0         1     4
  qmfagent-26d339d8-c723-4de3-ad13-f515b66a8ae8       Y        Y        0     4      4       0     68       68         1     4
  qmfc-v2-lzhaldyb-rhel57x.3099.1                     Y        Y        0    13     13       0   10.1k    10.1k        1     2

which is the output of the qpid-stat run locally on rhel57x machine.

Comment 4 Leonid Zhaldybin 2013-02-06 09:50:02 UTC
Tested on RHEL5.9 and RHEL6.4 (both i386 and x86_64). This issue has been fixed.

Packages used for testing:
qpid-cpp-0.18-14
qpid-tools-0.18-8

-> VERIFIED

Comment 6 errata-xmlrpc 2013-03-06 18:54:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0561.html


Note You need to log in before you can comment on or make changes to this bug.